Skip to main content

9.5.0 Required Prerequisites for Installing CxSAST in a Distributed Environment

Before installing CxSAST, make sure that you understand the Distributed System Architecture and that your server host(s) complies with the 9.5.0 Server Host Requirements. To install CxSAST, you have to download and extract the installation archive CxSAST.exe to every relevant host and install the required third-party components for the CxSAST component to be installed on the respective host. For information and instructions on preparing for installing CxSAST and making the required prerequisites available, refer to Preparing CxSAST for Installation.

This document outlines, which prerequisites are required for which component.

Prerequisite

Required for...

C++ Redist 2010 and 2015 SP3

CxManager Web Portal CxEngine

IIS v7.0 or higher

CxManager Web Portal

ASP.NET Core 6.0.5 Runtime & Hosting

CxEngine

ASP.NET Core 3.1.11 Runtime & Hosting

CxManager

MS SQL

CxManager ActiveMQ

Java JRE 1.17.0 (64-bit)

CxManager ActiveMQ

.